Bug 987830 - External events' audit logs has not records in AuditLogMessages.properties
External events' audit logs has not records in AuditLogMessages.properties
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-engine-core (Show other bugs)
unspecified
Unspecified Linux
unspecified Severity low
: ---
: ---
Assigned To: Eli Mesika
infra
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-24 05:09 EDT by Moti Asayag
Modified: 2013-09-23 03:27 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-23 03:27:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 17374 None None None Never

  None (edit)
Description Moti Asayag 2013-07-24 05:09:06 EDT
Description of problem:
The external events are missing the description of the event type in the AuditLogMessages.properties file.

Version-Release number of selected component (if applicable):


2013-07-21 11:44:04,276 INFO  [org.ovirt.engine.core.dal.dbbroker.auditloghandling.AuditLogDirector] (ajp-/127.0.0.1:8702-5) AuditLogType: EXTERNAL_EVENT_NORMAL not exist in string table
2013-07-21 11:44:04,276 INFO  [org.ovirt.engine.core.dal.dbbroker.auditloghandling.AuditLogDirector] (ajp-/127.0.0.1:8702-5) AuditLogType: EXTERNAL_EVENT_WARNING not exist in string table
2013-07-21 11:44:04,276 INFO  [org.ovirt.engine.core.dal.dbbroker.auditloghandling.AuditLogDirector] (ajp-/127.0.0.1:8702-5) AuditLogType: EXTERNAL_EVENT_ERROR not exist in string table
2013-07-21 11:44:04,277 INFO  [org.ovirt.engine.core.dal.dbbroker.auditloghandling.AuditLogDirector] (ajp-/127.0.0.1:8702-5) AuditLogType: EXTERNAL_ALERT not exist in string table
How reproducible:


Steps to Reproduce:
1. Install ovirt-engine
2. start ovirt-engine
3. look into ovirt-engine.log

Actual results:
An empty message body for the external events.

Expected results:
Event should appear with its expected message.

Additional info:
Comment 1 Eli Mesika 2013-08-04 16:13:14 EDT
fixed in commit: f90d53f
Comment 2 Itamar Heim 2013-08-21 12:42:33 EDT
as RC is built, moving to ON_QA (hopefully did not catch incorrect bugs when doing this)
Comment 3 Itamar Heim 2013-09-23 03:27:30 EDT
closing as this should be in 3.3 (doing so in bulk, so may be incorrect)

Note You need to log in before you can comment on or make changes to this bug.